﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS6000B/C Sig Path Comp Cal IEEE /9500
DATE:                  2009-06-24 15:23:56
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       68
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        TDS6604B, TDS6804B, TDS6124C, TDS6154C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         SIGNAL PATH COMPENSATION
  1.003  TARGET
  1.004  IEEE         *RST;HEADER OFF
  1.005  DISP         Connect CH 1 Active Head to UUT EXT REF IN (on rear).
  1.005  DISP
  1.005  DISP         Remove all connections from front input adapters.
  1.006  IEEE         CH1:VOLTS 50E-3
  1.007  M9500                       CH1
  1.008  9500         10MH                         200mVpp        LS    S
  1.009  IEEE         [T930000]ROSC:SOURCE EXTERNAL;*CAL?[I$]
  1.010  EVAL   -e FIND(MEM2, "0", 1) : SIGNAL PATH COMPENSATION

  2.001  IEEE         ROSC:SOURCE INTERNAL
  2.002  9500         *                                                 S
  2.003  DISP         Disconnect the CH 1 Active Head from UUT EXT REF.
  2.004  HEAD
  2.005  END
