﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDSxxx Channel Selection
DATE:                  2009-04-09 08:25:41
AUTHOR:                fluke
REVISION:              $Revision: 2605 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       59
=============================================================================
#
# Registers Used:
#
#   @Chan     Channel selection
#               1,2,3,4,12,13,14,23,24,34,123,124,134,234, or 1234
#
#   @Ch1      Channel 1 "ON" or "OFF"
#   @Ch2      Channel 2 "ON" or "OFF"
#   @Ch3      Channel 3 "ON" or "OFF"
#   @Ch4      Channel 4 "ON" or "OFF"
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           @Chan == 1
  1.002  MATH         @Ch1 = "ON";  @Ch2 = "OFF"; @Ch3 = "OFF"; @Ch4 = "OFF"
  1.003  ELSEIF       @Chan == 2
  1.004  MATH         @Ch1 = "OFF"; @Ch2 = "ON";  @Ch3 = "OFF"; @Ch4 = "OFF"
  1.005  ELSEIF       @Chan == 3
  1.006  MATH         @Ch1 = "OFF"; @Ch2 = "OFF"; @Ch3 = "ON";  @Ch4 = "OFF"
  1.007  ELSEIF       @Chan == 4
  1.008  MATH         @Ch1 = "OFF"; @Ch2 = "OFF"; @Ch3 = "OFF"; @Ch4 = "ON"
  1.009  ELSEIF       @Chan == 12
  1.010  MATH         @Ch1 = "ON";  @Ch2 = "ON";  @Ch3 = "OFF"; @Ch4 = "OFF"
  1.011  ELSEIF       @Chan == 13
  1.012  MATH         @Ch1 = "ON";  @Ch2 = "OFF"; @Ch3 = "ON";  @Ch4 = "OFF"
  1.013  ELSEIF       @Chan == 14
  1.014  MATH         @Ch1 = "ON";  @Ch2 = "OFF"; @Ch3 = "OFF"; @Ch4 = "ON"
  1.015  ELSEIF       @Chan == 23
  1.016  MATH         @Ch1 = "OFF"; @Ch2 = "ON";  @Ch3 = "ON";  @Ch4 = "OFF"
  1.017  ELSEIF       @Chan == 24
  1.018  MATH         @Ch1 = "OFF"; @Ch2 = "ON";  @Ch3 = "OFF"; @Ch4 = "ON"
  1.019  ELSEIF       @Chan == 34
  1.020  MATH         @Ch1 = "OFF"; @Ch2 = "OFF"; @Ch3 = "ON";  @Ch4 = "ON"
  1.021  ELSEIF       @Chan == 123
  1.022  MATH         @Ch1 = "ON";  @Ch2 = "ON";  @Ch3 = "ON";  @Ch4 = "OFF"
  1.023  ELSEIF       @Chan == 124
  1.024  MATH         @Ch1 = "ON";  @Ch2 = "ON";  @Ch3 = "OFF"; @Ch4 = "ON"
  1.025  ELSEIF       @Chan == 134
  1.026  MATH         @Ch1 = "ON";  @Ch2 = "OFF"; @Ch3 = "ON";  @Ch4 = "ON"
  1.027  ELSEIF       @Chan == 234
  1.028  MATH         @Ch1 = "OFF"; @Ch2 = "ON";  @Ch3 = "ON";  @Ch4 = "ON"
  1.029  ELSEIF       @Chan == 1234
  1.030  MATH         @Ch1 = "ON";  @Ch2 = "ON";  @Ch3 = "ON";  @Ch4 = "ON"
  1.031  ELSE
  1.032  DISP         Undefined channel designation in @Chan.  @Chan must be
  1.032  DISP         1,2,3,4,12,13,14,23,24,34,123,124,134,234, or 1234.
  1.033  ENDIF

  1.034  END
