﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS6604B (1 yr) Channel Isolation Tests IEEE /9500
DATE:                  2009-10-07 16:13:20
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       61
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Model(s) Covered:
#        TDS6604B, TDS6804B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS6604B (1 yr) Crosstalk Tests IEEE /9500
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @VertScale = "100 mV/div"; @AmplVpp = 1.0
  1.002  CALL         Sub TDS6604B (1 yr) Crosstalk Tests IEEE /9500
  1.003  JMPL         END                          @Abort

  1.004  MATH         @VertScale = "50 mV/div"; @AmplVpp = 0.5
  1.005  CALL         Sub TDS6604B (1 yr) Crosstalk Tests IEEE /9500
  1.006  JMPL         END                          @Abort

  1.007  MATH         @VertScale = "10 mV/div"; @AmplVpp = 0.1
  1.008  CALL         Sub TDS6604B (1 yr) Crosstalk Tests IEEE /9500

  1.009  LABEL        END
  1.010  END
