﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS6604B (1 yr) Crosstalk Tests IEEE /9500
DATE:                  2009-10-07 16:13:23
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       82
CONFIGURATION:         Datron 9500 (C5,G3)
CONFIGURATION:         Fluke 9560 on channel 5
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Model(s) Covered:
#        TDS6604B, TDS6804B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS6604B (1 yr) Crosstalk VER IEEE /9500
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Use CH 5 9560 Active Head.
  1.001  M9500                       CH5
  1.002  TARGET
  1.003  MATH         L[1] = BASE(@VertScale)
  1.004  IEEE         CH1:VOLTS [L1]
  1.004  IEEE         CH2:VOLTS [L1]
  1.004  IEEE         CH3:VOLTS [L1]
  1.004  IEEE         CH4:VOLTS [L1]

  1.005  IEEE         ACQ:STOPAFTER RUNSTOP;STATE RUN
  1.006  MATH         MEM = @AmplVpp

  1.007  IF           @FreqGHz == 1.5
  1.008  9500         Vpp                          1.5GH          LS    S  L
  1.009  ELSE
  1.010  9500         Vpp                          4GH            LS    S  L
  1.011  ENDIF

# Press PUSH TO SET 50%
  1.012  IEEE         TRIG:A SETLEVEL
  1.013  IEEE         ACQ:STATE STOP;STOPAFTER SEQUENCE
  1.014  MATH         @TestChan = M[1]
  1.015  CALL         Sub TDS6604B (1 yr) Crosstalk Test IEEE /9500
  1.016  JMPL         END                          @Abort
  1.017  MATH         @TestChan = M[2]
  1.018  CALL         Sub TDS6604B (1 yr) Crosstalk Test IEEE /9500
  1.019  JMPL         END                          @Abort
  1.020  MATH         @TestChan = M[3]
  1.021  CALL         Sub TDS6604B (1 yr) Crosstalk Test IEEE /9500

  1.022  LABEL        END
  1.023  END
